Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003556opensim[REGION] OpenSim Corepublic2009-04-29 09:562015-08-18 11:16
Reportermcortez 
Assigned Toaiaustin 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0003556: Feature Request - Flush/Regen Map Tile command
DescriptionIt would be nice to have a flush/regenerate map time command available on the console. Currently the only way to force a regen of a region's map tile is to shutdown the instance and update the region's xml file.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics Engine
EnvironmentUnknown
Mono VersionNone
Viewer
Attached Files

- Relationships

-  Notes
(0011139)
RemedyTomm (reporter)
2009-04-29 10:04

+1, this would be useful :)

I also want to add some object-level controls to the console too.. I might have a go at implementing this.
(0013301)
Fly-Man- (developer)
2009-09-11 11:14

Every 24 hours a new maptile should be created by the region server itself
(0013317)
mcortez (developer)
2009-09-12 09:10

The request still stands, as there are times when I have reloaded a number of terrain files and I wish to immediately share the results with others. I may also wish to determine if the map tiles have come out the way I intended, or if I need to do further modifications to my terrain.

I know the terrain itself is immediately updated -- but lets say for example I wish to organize a sailing regatta, I may change the terrain of one or more regions, and then I would want to immediately retrieve the new map tiles to compile into a race map for distribution to the race participants.

Actually, I'd like to extend the feature request to include the ability to have the generated map tile saved as a PNG file.
(0016379)
aiaustin (developer)
2010-08-13 07:27

+1 - its quite a pain having to reboot servers and flush things just to test if a new terrain is showing correctly
(0029334)
aiaustin (developer)
2015-08-18 11:16

generate map

console command now does this. Closing issue as resolved.

- Issue History
Date Modified Username Field Change
2009-04-29 09:56 mcortez New Issue
2009-04-29 09:56 mcortez SVN Revision => 0
2009-04-29 09:56 mcortez Run Mode => Standalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2009-04-29 09:56 mcortez Environment => Unknown
2009-04-29 09:56 mcortez Mono Version => None
2009-04-29 09:59 RemedyTomm Summary Feature Request: Flush/Regen Map Tile command => Feature Request - Flush/Regen Map Tile command
2009-04-29 10:04 RemedyTomm Note Added: 0011139
2009-09-11 11:14 Fly-Man- Note Added: 0013301
2009-09-11 11:14 Fly-Man- Status new => feedback
2009-09-12 09:10 mcortez Note Added: 0013317
2010-08-13 07:27 aiaustin Note Added: 0016379
2015-08-18 11:16 aiaustin Note Added: 0029334
2015-08-18 11:16 aiaustin Status feedback => closed
2015-08-18 11:16 aiaustin Assigned To => aiaustin
2015-08-18 11:16 aiaustin Resolution open => fixed
2015-08-18 11:16 aiaustin Fixed in Version => master (dev code)


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker